Page MenuHomePhabricator

Release 6.5.1
Closed, ResolvedPublic

Description

Release version: 6.5.1
Release tag: releases/6.5.1
Release SHA1: 9cc8a91c818ee0a3233f1b831a9fa7edc6c37495
App Store Submission Date:
App Store Approval Date:
App Store Release Date: 12/21/2019
Regression Testing URL:


Pre-release

  • File subtask for assets (if needed)
  • Submit "What’s New" on iTunes Connect for translation
  • Submit Beta on iTunes Connect for external testing review, and verify distribution
  • File subtask for smoke tests and notify TSG with RC build number
  • Post to mobile-l when Beta is approved for external testing
  • Upload new screenshots & app icons to iTunes Connect (if needed)
  • Review Regression testing report, triage bugs, and identify any blockers

Day of submit:

  • Update contributors list
  • Update "Licenses" section (e.g. new libraries, fonts, images, etc.)
  • Submit RC on iTunes Connect for App Store review with automatic release disabled.
  • Install previous (active) App Store version, then update to release candidate via TestFlight and verify app load
  • Release to App Store (NOT on a Friday!)

Post-release:

Event Timeline

LGoto created this task.Dec 10 2019, 10:06 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 10 2019, 10:06 PM
JMinor claimed this task.Dec 17 2019, 7:25 PM
JMinor triaged this task as High priority.
JMinor moved this task from Needs Triage to Product Backlog on the Wikipedia-iOS-App-Backlog board.
LGoto updated the task description. (Show Details)Feb 4 2020, 7:05 PM
LGoto closed this task as Resolved.Feb 4 2020, 7:26 PM